"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIGatewayClient_1 = require("./APIGatewayClient");
const CreateApiKeyCommand_1 = require("./commands/CreateApiKeyCommand");
const CreateAuthorizerCommand_1 = require("./commands/CreateAuthorizerCommand");
const CreateBasePathMappingCommand_1 = require("./commands/CreateBasePathMappingCommand");
const CreateDeploymentCommand_1 = require("./commands/CreateDeploymentCommand");
const CreateDocumentationPartCommand_1 = require("./commands/CreateDocumentationPartCommand");
const CreateDocumentationVersionCommand_1 = require("./commands/CreateDocumentationVersionCommand");
const CreateDomainNameCommand_1 = require("./commands/CreateDomainNameCommand");
const CreateModelCommand_1 = require("./commands/CreateModelCommand");
const CreateRequestValidatorCommand_1 = require("./commands/CreateRequestValidatorCommand");
const CreateResourceCommand_1 = require("./commands/CreateResourceCommand");
const CreateRestApiCommand_1 = require("./commands/CreateRestApiCommand");
const CreateStageCommand_1 = require("./commands/CreateStageCommand");
const CreateUsagePlanCommand_1 = require("./commands/CreateUsagePlanCommand");
const CreateUsagePlanKeyCommand_1 = require("./commands/CreateUsagePlanKeyCommand");
const CreateVpcLinkCommand_1 = require("./commands/CreateVpcLinkCommand");
const DeleteApiKeyCommand_1 = require("./commands/DeleteApiKeyCommand");
const DeleteAuthorizerCommand_1 = require("./commands/DeleteAuthorizerCommand");
const DeleteBasePathMappingCommand_1 = require("./commands/DeleteBasePathMappingCommand");
const DeleteClientCertificateCommand_1 = require("./commands/DeleteClientCertificateCommand");
const DeleteDeploymentCommand_1 = require("./commands/DeleteDeploymentCommand");
const DeleteDocumentationPartCommand_1 = require("./commands/DeleteDocumentationPartCommand");
const DeleteDocumentationVersionCommand_1 = require("./commands/DeleteDocumentationVersionCommand");
const DeleteDomainNameCommand_1 = require("./commands/DeleteDomainNameCommand");
const DeleteGatewayResponseCommand_1 = require("./commands/DeleteGatewayResponseCommand");
const DeleteIntegrationCommand_1 = require("./commands/DeleteIntegrationCommand");
const DeleteIntegrationResponseCommand_1 = require("./commands/DeleteIntegrationResponseCommand");
const DeleteMethodCommand_1 = require("./commands/DeleteMethodCommand");
const DeleteMethodResponseCommand_1 = require("./commands/DeleteMethodResponseCommand");
const DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
const DeleteRequestValidatorCommand_1 = require("./commands/DeleteRequestValidatorCommand");
const DeleteResourceCommand_1 = require("./commands/DeleteResourceCommand");
const DeleteRestApiCommand_1 = require("./commands/DeleteRestApiCommand");
const DeleteStageCommand_1 = require("./commands/DeleteStageCommand");
const DeleteUsagePlanCommand_1 = require("./commands/DeleteUsagePlanCommand");
const DeleteUsagePlanKeyCommand_1 = require("./commands/DeleteUsagePlanKeyCommand");
const DeleteVpcLinkCommand_1 = require("./commands/DeleteVpcLinkCommand");
const FlushStageAuthorizersCacheCommand_1 = require("./commands/FlushStageAuthorizersCacheCommand");
const FlushStageCacheCommand_1 = require("./commands/FlushStageCacheCommand");
const GenerateClientCertificateCommand_1 = require("./commands/GenerateClientCertificateCommand");
const GetAccountCommand_1 = require("./commands/GetAccountCommand");
const GetApiKeyCommand_1 = require("./commands/GetApiKeyCommand");
const GetApiKeysCommand_1 = require("./commands/GetApiKeysCommand");
const GetAuthorizerCommand_1 = require("./commands/GetAuthorizerCommand");
const GetAuthorizersCommand_1 = require("./commands/GetAuthorizersCommand");
const GetBasePathMappingCommand_1 = require("./commands/GetBasePathMappingCommand");
const GetBasePathMappingsCommand_1 = require("./commands/GetBasePathMappingsCommand");
const GetClientCertificateCommand_1 = require("./commands/GetClientCertificateCommand");
const GetClientCertificatesCommand_1 = require("./commands/GetClientCertificatesCommand");
const GetDeploymentCommand_1 = require("./commands/GetDeploymentCommand");
const GetDeploymentsCommand_1 = require("./commands/GetDeploymentsCommand");
const GetDocumentationPartCommand_1 = require("./commands/GetDocumentationPartCommand");
const GetDocumentationPartsCommand_1 = require("./commands/GetDocumentationPartsCommand");
const GetDocumentationVersionCommand_1 = require("./commands/GetDocumentationVersionCommand");
const GetDocumentationVersionsCommand_1 = require("./commands/GetDocumentationVersionsCommand");
const GetDomainNameCommand_1 = require("./commands/GetDomainNameCommand");
const GetDomainNamesCommand_1 = require("./commands/GetDomainNamesCommand");
const GetExportCommand_1 = require("./commands/GetExportCommand");
const GetGatewayResponseCommand_1 = require("./commands/GetGatewayResponseCommand");
const GetGatewayResponsesCommand_1 = require("./commands/GetGatewayResponsesCommand");
const GetIntegrationCommand_1 = require("./commands/GetIntegrationCommand");
const GetIntegrationResponseCommand_1 = require("./commands/GetIntegrationResponseCommand");
const GetMethodCommand_1 = require("./commands/GetMethodCommand");
const GetMethodResponseCommand_1 = require("./commands/GetMethodResponseCommand");
const GetModelCommand_1 = require("./commands/GetModelCommand");
const GetModelTemplateCommand_1 = require("./commands/GetModelTemplateCommand");
const GetModelsCommand_1 = require("./commands/GetModelsCommand");
const GetRequestValidatorCommand_1 = require("./commands/GetRequestValidatorCommand");
const GetRequestValidatorsCommand_1 = require("./commands/GetRequestValidatorsCommand");
const GetResourceCommand_1 = require("./commands/GetResourceCommand");
const GetResourcesCommand_1 = require("./commands/GetResourcesCommand");
const GetRestApiCommand_1 = require("./commands/GetRestApiCommand");
const GetRestApisCommand_1 = require("./commands/GetRestApisCommand");
const GetSdkCommand_1 = require("./commands/GetSdkCommand");
const GetSdkTypeCommand_1 = require("./commands/GetSdkTypeCommand");
const GetSdkTypesCommand_1 = require("./commands/GetSdkTypesCommand");
const GetStageCommand_1 = require("./commands/GetStageCommand");
const GetStagesCommand_1 = require("./commands/GetStagesCommand");
const GetTagsCommand_1 = require("./commands/GetTagsCommand");
const GetUsageCommand_1 = require("./commands/GetUsageCommand");
const GetUsagePlanCommand_1 = require("./commands/GetUsagePlanCommand");
const GetUsagePlanKeyCommand_1 = require("./commands/GetUsagePlanKeyCommand");
const GetUsagePlanKeysCommand_1 = require("./commands/GetUsagePlanKeysCommand");
const GetUsagePlansCommand_1 = require("./commands/GetUsagePlansCommand");
const GetVpcLinkCommand_1 = require("./commands/GetVpcLinkCommand");
const GetVpcLinksCommand_1 = require("./commands/GetVpcLinksCommand");
const ImportApiKeysCommand_1 = require("./commands/ImportApiKeysCommand");
const ImportDocumentationPartsCommand_1 = require("./commands/ImportDocumentationPartsCommand");
const ImportRestApiCommand_1 = require("./commands/ImportRestApiCommand");
const PutGatewayResponseCommand_1 = require("./commands/PutGatewayResponseCommand");
const PutIntegrationCommand_1 = require("./commands/PutIntegrationCommand");
const PutIntegrationResponseCommand_1 = require("./commands/PutIntegrationResponseCommand");
const PutMethodCommand_1 = require("./commands/PutMethodCommand");
const PutMethodResponseCommand_1 = require("./commands/PutMethodResponseCommand");
const PutRestApiCommand_1 = require("./commands/PutRestApiCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const TestInvokeAuthorizerCommand_1 = require("./commands/TestInvokeAuthorizerCommand");
const TestInvokeMethodCommand_1 = require("./commands/TestInvokeMethodCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateAccountCommand_1 = require("./commands/UpdateAccountCommand");
const UpdateApiKeyCommand_1 = require("./commands/UpdateApiKeyCommand");
const UpdateAuthorizerCommand_1 = require("./commands/UpdateAuthorizerCommand");
const UpdateBasePathMappingCommand_1 = require("./commands/UpdateBasePathMappingCommand");
const UpdateClientCertificateCommand_1 = require("./commands/UpdateClientCertificateCommand");
const UpdateDeploymentCommand_1 = require("./commands/UpdateDeploymentCommand");
const UpdateDocumentationPartCommand_1 = require("./commands/UpdateDocumentationPartCommand");
const UpdateDocumentationVersionCommand_1 = require("./commands/UpdateDocumentationVersionCommand");
const UpdateDomainNameCommand_1 = require("./commands/UpdateDomainNameCommand");
const UpdateGatewayResponseCommand_1 = require("./commands/UpdateGatewayResponseCommand");
const UpdateIntegrationCommand_1 = require("./commands/UpdateIntegrationCommand");
const UpdateIntegrationResponseCommand_1 = require("./commands/UpdateIntegrationResponseCommand");
const UpdateMethodCommand_1 = require("./commands/UpdateMethodCommand");
const UpdateMethodResponseCommand_1 = require("./commands/UpdateMethodResponseCommand");
const UpdateModelCommand_1 = require("./commands/UpdateModelCommand");
const UpdateRequestValidatorCommand_1 = require("./commands/UpdateRequestValidatorCommand");
const UpdateResourceCommand_1 = require("./commands/UpdateResourceCommand");
const UpdateRestApiCommand_1 = require("./commands/UpdateRestApiCommand");
const UpdateStageCommand_1 = require("./commands/UpdateStageCommand");
const UpdateUsageCommand_1 = require("./commands/UpdateUsageCommand");
const UpdateUsagePlanCommand_1 = require("./commands/UpdateUsagePlanCommand");
const UpdateVpcLinkCommand_1 = require("./commands/UpdateVpcLinkCommand");
class APIGateway extends APIGatewayClient_1.APIGatewayClient {
    createApiKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateApiKeyCommand_1.CreateApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateAuthorizerCommand_1.CreateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createBasePathMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateBasePathMappingCommand_1.CreateBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDeploymentCommand_1.CreateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDocumentationPart(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDocumentationPartCommand_1.CreateDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDocumentationVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDocumentationVersionCommand_1.CreateDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDomainNameCommand_1.CreateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRequestValidator(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRequestValidatorCommand_1.CreateRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateResourceCommand_1.CreateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRestApiCommand_1.CreateRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateStageCommand_1.CreateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createUsagePlan(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateUsagePlanCommand_1.CreateUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createUsagePlanKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateUsagePlanKeyCommand_1.CreateUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createVpcLink(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateVpcLinkCommand_1.CreateVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteApiKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteApiKeyCommand_1.DeleteApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteAuthorizerCommand_1.DeleteAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteBasePathMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteBasePathMappingCommand_1.DeleteBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteClientCertificate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteClientCertificateCommand_1.DeleteClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDeploymentCommand_1.DeleteDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDocumentationPart(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDocumentationPartCommand_1.DeleteDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDocumentationVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDocumentationVersionCommand_1.DeleteDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDomainNameCommand_1.DeleteDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteGatewayResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteGatewayResponseCommand_1.DeleteGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteIntegrationCommand_1.DeleteIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteIntegrationResponseCommand_1.DeleteIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteMethod(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteMethodCommand_1.DeleteMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteMethodResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteMethodResponseCommand_1.DeleteMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRequestValidator(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRequestValidatorCommand_1.DeleteRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteResourceCommand_1.DeleteResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRestApiCommand_1.DeleteRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteStageCommand_1.DeleteStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteUsagePlan(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteUsagePlanCommand_1.DeleteUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteUsagePlanKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteUsagePlanKeyCommand_1.DeleteUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteVpcLink(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteVpcLinkCommand_1.DeleteVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    flushStageAuthorizersCache(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new FlushStageAuthorizersCacheCommand_1.FlushStageAuthorizersCacheCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    flushStageCache(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new FlushStageCacheCommand_1.FlushStageCacheCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    generateClientCertificate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GenerateClientCertificateCommand_1.GenerateClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAccount(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAccountCommand_1.GetAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApiKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApiKeyCommand_1.GetApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApiKeys(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApiKeysCommand_1.GetApiKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAuthorizerCommand_1.GetAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAuthorizers(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAuthorizersCommand_1.GetAuthorizersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getBasePathMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetBasePathMappingCommand_1.GetBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getBasePathMappings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetBasePathMappingsCommand_1.GetBasePathMappingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getClientCertificate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetClientCertificateCommand_1.GetClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getClientCertificates(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetClientCertificatesCommand_1.GetClientCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDeploymentCommand_1.GetDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDeployments(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDeploymentsCommand_1.GetDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDocumentationPart(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDocumentationPartCommand_1.GetDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDocumentationParts(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDocumentationPartsCommand_1.GetDocumentationPartsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDocumentationVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDocumentationVersionCommand_1.GetDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDocumentationVersions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDocumentationVersionsCommand_1.GetDocumentationVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDomainNameCommand_1.GetDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDomainNames(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDomainNamesCommand_1.GetDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getExport(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetExportCommand_1.GetExportCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getGatewayResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetGatewayResponseCommand_1.GetGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getGatewayResponses(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetGatewayResponsesCommand_1.GetGatewayResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationCommand_1.GetIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationResponseCommand_1.GetIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getMethod(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetMethodCommand_1.GetMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getMethodResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetMethodResponseCommand_1.GetMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelCommand_1.GetModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModelTemplate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelTemplateCommand_1.GetModelTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModels(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelsCommand_1.GetModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRequestValidator(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRequestValidatorCommand_1.GetRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRequestValidators(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRequestValidatorsCommand_1.GetRequestValidatorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetResourceCommand_1.GetResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getResources(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetResourcesCommand_1.GetResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRestApiCommand_1.GetRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRestApis(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRestApisCommand_1.GetRestApisCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getSdk(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetSdkCommand_1.GetSdkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getSdkType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetSdkTypeCommand_1.GetSdkTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getSdkTypes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetSdkTypesCommand_1.GetSdkTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetStageCommand_1.GetStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getStages(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetStagesCommand_1.GetStagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetTagsCommand_1.GetTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUsage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUsageCommand_1.GetUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUsagePlan(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUsagePlanCommand_1.GetUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUsagePlanKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUsagePlanKeyCommand_1.GetUsagePlanKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUsagePlanKeys(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUsagePlanKeysCommand_1.GetUsagePlanKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUsagePlans(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUsagePlansCommand_1.GetUsagePlansCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getVpcLink(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetVpcLinkCommand_1.GetVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getVpcLinks(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetVpcLinksCommand_1.GetVpcLinksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    importApiKeys(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ImportApiKeysCommand_1.ImportApiKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    importDocumentationParts(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ImportDocumentationPartsCommand_1.ImportDocumentationPartsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    importRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ImportRestApiCommand_1.ImportRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putGatewayResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutGatewayResponseCommand_1.PutGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutIntegrationCommand_1.PutIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutIntegrationResponseCommand_1.PutIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putMethod(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutMethodCommand_1.PutMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putMethodResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutMethodResponseCommand_1.PutMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    putRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PutRestApiCommand_1.PutRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    testInvokeAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TestInvokeAuthorizerCommand_1.TestInvokeAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    testInvokeMethod(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TestInvokeMethodCommand_1.TestInvokeMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateAccount(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateAccountCommand_1.UpdateAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateApiKey(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateApiKeyCommand_1.UpdateApiKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateAuthorizerCommand_1.UpdateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateBasePathMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateBasePathMappingCommand_1.UpdateBasePathMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateClientCertificate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateClientCertificateCommand_1.UpdateClientCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDeploymentCommand_1.UpdateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDocumentationPart(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDocumentationPartCommand_1.UpdateDocumentationPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDocumentationVersion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDocumentationVersionCommand_1.UpdateDocumentationVersionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDomainNameCommand_1.UpdateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateGatewayResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateGatewayResponseCommand_1.UpdateGatewayResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateIntegrationCommand_1.UpdateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateIntegrationResponseCommand_1.UpdateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateMethod(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateMethodCommand_1.UpdateMethodCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateMethodResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateMethodResponseCommand_1.UpdateMethodResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateModelCommand_1.UpdateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateRequestValidator(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateRequestValidatorCommand_1.UpdateRequestValidatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateResourceCommand_1.UpdateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateRestApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateRestApiCommand_1.UpdateRestApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateStageCommand_1.UpdateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateUsage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateUsageCommand_1.UpdateUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateUsagePlan(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateUsagePlanCommand_1.UpdateUsagePlanCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateVpcLink(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateVpcLinkCommand_1.UpdateVpcLinkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.APIGateway = APIGateway;
//# sourceMappingURL=APIGateway.js.map