/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteBasePathMappingInput } from "../types/DeleteBasePathMappingInput";
import { DeleteBasePathMappingOutput } from "../types/DeleteBasePathMappingOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteBasePathMappingInput";
export * from "../types/DeleteBasePathMappingOutput";
export * from "../types/DeleteBasePathMappingExceptionsUnion";
export declare class DeleteBasePathMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteBasePathMappingInput, OutputTypesUnion, DeleteBasePathMappingOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteBasePathMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteBasePathMappingInput, DeleteBasePathMappingOutput, _stream.Readable>;
    constructor(input: DeleteBasePathMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteBasePathMappingInput, DeleteBasePathMappingOutput>;
}
