/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { FlushStageAuthorizersCacheInput } from "../types/FlushStageAuthorizersCacheInput";
import { FlushStageAuthorizersCacheOutput } from "../types/FlushStageAuthorizersCacheOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/FlushStageAuthorizersCacheInput";
export * from "../types/FlushStageAuthorizersCacheOutput";
export * from "../types/FlushStageAuthorizersCacheExceptionsUnion";
export declare class FlushStageAuthorizersCacheCommand implements __aws_sdk_types.Command<InputTypesUnion, FlushStageAuthorizersCacheInput, OutputTypesUnion, FlushStageAuthorizersCacheOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: FlushStageAuthorizersCacheInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<FlushStageAuthorizersCacheInput, FlushStageAuthorizersCacheOutput, _stream.Readable>;
    constructor(input: FlushStageAuthorizersCacheInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<FlushStageAuthorizersCacheInput, FlushStageAuthorizersCacheOutput>;
}
