/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { FlushStageCacheInput } from "../types/FlushStageCacheInput";
import { FlushStageCacheOutput } from "../types/FlushStageCacheOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/FlushStageCacheInput";
export * from "../types/FlushStageCacheOutput";
export * from "../types/FlushStageCacheExceptionsUnion";
export declare class FlushStageCacheCommand implements __aws_sdk_types.Command<InputTypesUnion, FlushStageCacheInput, OutputTypesUnion, FlushStageCacheOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: FlushStageCacheInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<FlushStageCacheInput, FlushStageCacheOutput, _stream.Readable>;
    constructor(input: FlushStageCacheInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<FlushStageCacheInput, FlushStageCacheOutput>;
}
