/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDocumentationVersionsInput } from "../types/GetDocumentationVersionsInput";
import { GetDocumentationVersionsOutput } from "../types/GetDocumentationVersionsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetDocumentationVersionsInput";
export * from "../types/GetDocumentationVersionsOutput";
export * from "../types/GetDocumentationVersionsExceptionsUnion";
export declare class GetDocumentationVersionsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDocumentationVersionsInput, OutputTypesUnion, GetDocumentationVersionsOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetDocumentationVersionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDocumentationVersionsInput, GetDocumentationVersionsOutput, _stream.Readable>;
    constructor(input: GetDocumentationVersionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetDocumentationVersionsInput, GetDocumentationVersionsOutput>;
}
