/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutIntegrationResponseInput } from "../types/PutIntegrationResponseInput";
import { PutIntegrationResponseOutput } from "../types/PutIntegrationResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/PutIntegrationResponseInput";
export * from "../types/PutIntegrationResponseOutput";
export * from "../types/PutIntegrationResponseExceptionsUnion";
export declare class PutIntegrationResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, PutIntegrationResponseInput, OutputTypesUnion, PutIntegrationResponseOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: PutIntegrationResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutIntegrationResponseInput, PutIntegrationResponseOutput, _stream.Readable>;
    constructor(input: PutIntegrationResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<PutIntegrationResponseInput, PutIntegrationResponseOutput>;
}
