"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ListOfApiStage_1 = require("./_ListOfApiStage");
const _ThrottleSettings_1 = require("./_ThrottleSettings");
const _QuotaSettings_1 = require("./_QuotaSettings");
const _MapOfStringToString_1 = require("./_MapOfStringToString");
exports.UpdateUsagePlanOutput = {
    type: "structure",
    required: [],
    members: {
        id: {
            shape: {
                type: "string"
            }
        },
        name: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        apiStages: {
            shape: _ListOfApiStage_1._ListOfApiStage
        },
        throttle: {
            shape: _ThrottleSettings_1._ThrottleSettings
        },
        quota: {
            shape: _QuotaSettings_1._QuotaSettings
        },
        productCode: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        }
    }
};
//# sourceMappingURL=UpdateUsagePlanOutput.js.map