/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateAuthorizerInput } from "../types/CreateAuthorizerInput";
import { CreateAuthorizerOutput } from "../types/CreateAuthorizerOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateAuthorizerInput";
export * from "../types/CreateAuthorizerOutput";
export * from "../types/CreateAuthorizerExceptionsUnion";
export declare class CreateAuthorizerCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateAuthorizerInput, OutputTypesUnion, CreateAuthorizerOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: CreateAuthorizerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateAuthorizerInput, CreateAuthorizerOutput, _stream.Readable>;
    constructor(input: CreateAuthorizerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateAuthorizerInput, CreateAuthorizerOutput>;
}
