/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteClientCertificateInput } from "../types/DeleteClientCertificateInput";
import { DeleteClientCertificateOutput } from "../types/DeleteClientCertificateOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteClientCertificateInput";
export * from "../types/DeleteClientCertificateOutput";
export * from "../types/DeleteClientCertificateExceptionsUnion";
export declare class DeleteClientCertificateCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteClientCertificateInput, OutputTypesUnion, DeleteClientCertificateOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteClientCertificateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteClientCertificateInput, DeleteClientCertificateOutput, _stream.Readable>;
    constructor(input: DeleteClientCertificateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteClientCertificateInput, DeleteClientCertificateOutput>;
}
