/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRestApiInput } from "../types/DeleteRestApiInput";
import { DeleteRestApiOutput } from "../types/DeleteRestApiOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteRestApiInput";
export * from "../types/DeleteRestApiOutput";
export * from "../types/DeleteRestApiExceptionsUnion";
export declare class DeleteRestApiCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRestApiInput, OutputTypesUnion, DeleteRestApiOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRestApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRestApiInput, DeleteRestApiOutput, _stream.Readable>;
    constructor(input: DeleteRestApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteRestApiInput, DeleteRestApiOutput>;
}
