"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDocumentationVersions_1 = require("../model/operations/GetDocumentationVersions");
class GetDocumentationVersionsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDocumentationVersions_1.GetDocumentationVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDocumentationVersionsCommand = GetDocumentationVersionsCommand;
//# sourceMappingURL=GetDocumentationVersionsCommand.js.map