/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetModelsInput } from "../types/GetModelsInput";
import { GetModelsOutput } from "../types/GetModelsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetModelsInput";
export * from "../types/GetModelsOutput";
export * from "../types/GetModelsExceptionsUnion";
export declare class GetModelsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetModelsInput, OutputTypesUnion, GetModelsOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetModelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetModelsInput, GetModelsOutput, _stream.Readable>;
    constructor(input: GetModelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetModelsInput, GetModelsOutput>;
}
