/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRequestValidatorsInput } from "../types/GetRequestValidatorsInput";
import { GetRequestValidatorsOutput } from "../types/GetRequestValidatorsOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetRequestValidatorsInput";
export * from "../types/GetRequestValidatorsOutput";
export * from "../types/GetRequestValidatorsExceptionsUnion";
export declare class GetRequestValidatorsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRequestValidatorsInput, OutputTypesUnion, GetRequestValidatorsOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetRequestValidatorsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRequestValidatorsInput, GetRequestValidatorsOutput, _stream.Readable>;
    constructor(input: GetRequestValidatorsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetRequestValidatorsInput, GetRequestValidatorsOutput>;
}
