/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateBasePathMappingInput } from "../types/UpdateBasePathMappingInput";
import { UpdateBasePathMappingOutput } from "../types/UpdateBasePathMappingOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateBasePathMappingInput";
export * from "../types/UpdateBasePathMappingOutput";
export * from "../types/UpdateBasePathMappingExceptionsUnion";
export declare class UpdateBasePathMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateBasePathMappingInput, OutputTypesUnion, UpdateBasePathMappingOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateBasePathMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateBasePathMappingInput, UpdateBasePathMappingOutput, _stream.Readable>;
    constructor(input: UpdateBasePathMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateBasePathMappingInput, UpdateBasePathMappingOutput>;
}
