"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetClientCertificatesInput_1 = require("../shapes/GetClientCertificatesInput");
const GetClientCertificatesOutput_1 = require("../shapes/GetClientCertificatesOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetClientCertificates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetClientCertificates",
    http: {
        method: "GET",
        requestUri: "/clientcertificates"
    },
    input: {
        shape: GetClientCertificatesInput_1.GetClientCertificatesInput
    },
    output: {
        shape: GetClientCertificatesOutput_1.GetClientCertificatesOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetClientCertificates.js.map