"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetSdkTypesInput_1 = require("../shapes/GetSdkTypesInput");
const GetSdkTypesOutput_1 = require("../shapes/GetSdkTypesOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSdkTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSdkTypes",
    http: {
        method: "GET",
        requestUri: "/sdktypes"
    },
    input: {
        shape: GetSdkTypesInput_1.GetSdkTypesInput
    },
    output: {
        shape: GetSdkTypesOutput_1.GetSdkTypesOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetSdkTypes.js.map