"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _MapOfStringToBoolean_1 = require("./_MapOfStringToBoolean");
const _MapOfStringToString_1 = require("./_MapOfStringToString");
const _MapOfMethodResponse_1 = require("./_MapOfMethodResponse");
const _Integration_1 = require("./_Integration");
const _ListOfString_1 = require("./_ListOfString");
exports.GetMethodOutput = {
    type: "structure",
    required: [],
    members: {
        httpMethod: {
            shape: {
                type: "string"
            }
        },
        authorizationType: {
            shape: {
                type: "string"
            }
        },
        authorizerId: {
            shape: {
                type: "string"
            }
        },
        apiKeyRequired: {
            shape: {
                type: "boolean"
            }
        },
        requestValidatorId: {
            shape: {
                type: "string"
            }
        },
        operationName: {
            shape: {
                type: "string"
            }
        },
        requestParameters: {
            shape: _MapOfStringToBoolean_1._MapOfStringToBoolean
        },
        requestModels: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        methodResponses: {
            shape: _MapOfMethodResponse_1._MapOfMethodResponse
        },
        methodIntegration: {
            shape: _Integration_1._Integration
        },
        authorizationScopes: {
            shape: _ListOfString_1._ListOfString
        }
    }
};
//# sourceMappingURL=GetMethodOutput.js.map