"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _MapOfMethodSettings_1 = require("./_MapOfMethodSettings");
const _MapOfStringToString_1 = require("./_MapOfStringToString");
const _AccessLogSettings_1 = require("./_AccessLogSettings");
const _CanarySettings_1 = require("./_CanarySettings");
exports.GetStageOutput = {
    type: "structure",
    required: [],
    members: {
        deploymentId: {
            shape: {
                type: "string"
            }
        },
        clientCertificateId: {
            shape: {
                type: "string"
            }
        },
        stageName: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        cacheClusterEnabled: {
            shape: {
                type: "boolean"
            }
        },
        cacheClusterSize: {
            shape: {
                type: "string"
            }
        },
        cacheClusterStatus: {
            shape: {
                type: "string"
            }
        },
        methodSettings: {
            shape: _MapOfMethodSettings_1._MapOfMethodSettings
        },
        variables: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        documentationVersion: {
            shape: {
                type: "string"
            }
        },
        accessLogSettings: {
            shape: _AccessLogSettings_1._AccessLogSettings
        },
        canarySettings: {
            shape: _CanarySettings_1._CanarySettings
        },
        tracingEnabled: {
            shape: {
                type: "boolean"
            }
        },
        webAclArn: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _MapOfStringToString_1._MapOfStringToString
        },
        createdDate: {
            shape: {
                type: "timestamp"
            }
        },
        lastUpdatedDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=GetStageOutput.js.map